open Board

type 'a points

val create_points : unit -> 'a points

val add_point : 'a points -> 'a -> int -> int -> unit

val mem_points : 'a points -> int -> int -> bool

val print_points : Format.formatter -> 'a points -> unit

type path =
  | Full of direction * direction * direction
  | Two of direction * direction
  | One of direction
  | Empty

val board_nearest : int -> int -> 'a points -> 'a * path * int
    (* 3rd result is the distance *)
