
open Unix

let hostname = Unix.inet_addr_of_string Sys.argv.(1)
let port = int_of_string Sys.argv.(2)
let addr = ADDR_INET (hostname, port)

let listen cin _ =
  while true do
    let s = input_line cin in
    print_endline s; flush Pervasives.stdout
  done

let server _ cout =
  while true do
    let s = input_line Pervasives.stdin in
    output_string cout s; output_char cout '\n'; flush cout
  done

let _ = establish_server server addr
